<template>
  <div v-if="show" class="border">
    <div>子组件msg：{{ msg }}</div>
    <div>子组件数组：{{ syncArr }}</div>
    <button @click="closeModel">关闭model框</button>
    <button @click="$emit('update:msg', 'chageMsg')">
      改变文字
    </button>
    <button @click="syncArr.push(4)">改变数组</button> 
  </div>
</template>

<script>
// 使用.sync
export default {
  name: 'Child3',
  props: {
    msg: {
      type: String
    },
    show: {
      type: Boolean
    },
    syncArr: {
      type: Array//在子组件中改变传递过来数组将会影响到父组件的状态
    }
  },
  methods: {
    closeModel() {
      this.$emit("update:show", false);
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
